### Method

# FwupdPlugin Device sleep_full

since: 1.8.11

#### Declaration [src]

    void
    fu_device_sleep_full (
      FuDevice* self,
      guint delay_ms,
      FuProgress* progress
    )

#### Description [src]

Delays program execution up to 1000 seconds, unless the device is emulated where no delays is performed.

Available since: 1.8.11

#### Parameters

`delay_ms`

  Type: `guint`

  Delay in milliseconds.

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the method.